Package: groovy.org.codenarc.rule.formatting

## [Groovy] Class BlankLineBeforePackageRule

- groovy.org.codenarc.rule.formatting.BlankLineBeforePackageRule

- Makes sure there are no blank lines before the package declaration of a source code file.

  Authors:
    Joe Sondow

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `name`
    `int` | `priority`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `applyTo(SourceCode sourceCode, List violations)`

- - ### Property Detail

    - #### String name

    - #### int priority

  - ### Method Detail

    - #### @Override void applyTo(SourceCode sourceCode, List violations)